#
# Conditional build:
%bcond_without	indy	# use libraries without invokedynamic support (compatible with JRE 1.5+)
#
Summary:	Dynamic language for the Java Platform
Name:		groovy
Version:	2.4.13
Release:	1
License:	Apache v2.0
Group:		Development/Languages/Java
Source0:	https://dl.bintray.com/groovy/maven/apache-%{name}-binary-%{version}.zip
# Source0-md5:	2d0f0b420147839dd35ddd97e23adec7
URL:		http://groovy-lang.org/
%if %{with indy}
Requires:	jdk >= 1.7
%else
Requires:	jdk >= 1.5
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Groovy is an agile and dynamic language for the Java Virtual Machine,
built upon Java with features inspired by languages like Python, Ruby
and Smalltalk. It seamlessly integrates with all existing Java objects
and libraries and compiles straight to Java bytecode so you can use it
anywhere you can use Java.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}/bin}
for b in grape groovy groovyConsole groovyc groovydoc groovysh java2groovy startGroovy; do
	ln -sf %{_datadir}/%{name}/bin/$b $RPM_BUILD_ROOT%{_bindir}/$b
done

install -d $RPM_BUILD_ROOT
cp -a bin conf lib $RPM_BUILD_ROOT%{_datadir}/%{name}

%if %{with indy}
for f in indy/*-indy.jar; do
	targetname=$(basename $f -indy.jar).jar
	%{__cp} -p $f \
		$RPM_BUILD_ROOT%{_datadir}/%{name}/lib/$targetname
done
%endif

rm $RPM_BUILD_ROOT%{_datadir}/%{name}/bin/*.bat

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/grape
%attr(755,root,root) %{_bindir}/groovy
%attr(755,root,root) %{_bindir}/groovyConsole
%attr(755,root,root) %{_bindir}/groovyc
%attr(755,root,root) %{_bindir}/groovydoc
%attr(755,root,root) %{_bindir}/groovysh
%attr(755,root,root) %{_bindir}/java2groovy
%attr(755,root,root) %{_bindir}/startGroovy
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/bin
%attr(755,root,root) %{_datadir}/%{name}/bin/grape
%attr(755,root,root) %{_datadir}/%{name}/bin/groovy
%attr(755,root,root) %{_datadir}/%{name}/bin/groovyConsole
%attr(755,root,root) %{_datadir}/%{name}/bin/groovyc
%attr(755,root,root) %{_datadir}/%{name}/bin/groovydoc
%attr(755,root,root) %{_datadir}/%{name}/bin/groovysh
%attr(755,root,root) %{_datadir}/%{name}/bin/java2groovy
%attr(755,root,root) %{_datadir}/%{name}/bin/startGroovy
%{_datadir}/%{name}/conf
%{_datadir}/%{name}/lib
%changelog
* Sat Nov 25 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/groovy.git;a=log;h=master

* Sat Nov 25 2017 Jan Palus <atler@pld-linux.org> 1c6ae42
- up to 2.4.13

* Sun Jun 25 2017 Jan Palus <atler@pld-linux.org> 60081a8
- up to 2.4.12

* Sun May 07 2017 Jan Palus <atler@pld-linux.org> 9f52c8e
- up to 2.4.11

* Wed Mar 22 2017 Jan Palus <atler@pld-linux.org> 7046f0f
- up to 2.4.10

* Sat Jan 28 2017 Jan Palus <atler@pld-linux.org> d989320
- up to 2.4.8

* Fri Aug 05 2016 Jan Palus <atler@pld-linux.org> 1fddc05
- up to 2.4.7

* Thu Feb 25 2016 Jan Palus <atler@pld-linux.org> 704ebb2
- up to 2.4.6

* Thu Sep 24 2015 Jan Palus <atler@pld-linux.org> e077e90
- up to 2.4.5

* Sat Jul 18 2015 Jan Palus <atler@pld-linux.org> 5ef6352
- up to 2.4.4

* Mon Mar 23 2015 Jan Palus <atler@pld-linux.org> 1c25da2
- up to 2.4.3

* Thu Mar 19 2015 Jan Palus <atler@pld-linux.org> 801b5f4
- up to 2.4.2

* Wed Feb 18 2015 Jan Palus <atler@pld-linux.org> aa107d5
- up to 2.4.1

* Wed Jan 21 2015 Jan Palus <atler@pld-linux.org> de2f60a
- up to 2.4.0

* Fri Dec 19 2014 Jan Palus <atler@pld-linux.org> 965407b
- up to 2.3.9
- src url workaround should not be needed anymore

* Sun Nov 30 2014 Jan Palus <atler@pld-linux.org> b41d4b8
- workaround for wget's iri conversion which skips cdn redirection

* Sat Nov 29 2014 Jan Palus <atler@pld-linux.org> 42b8db4
- try https url as advised by bintray support

* Sat Nov 29 2014 Jan Palus <atler@pld-linux.org> 6694c69
- up to 2.3.8

* Sun Nov 16 2014 Jan Palus <atler@pld-linux.org> c9a8a1f
- new

